#
# spec file for package supportutils-plugin-ha-sap
#
# Copyright (c) 2020-2021 SUSE LLC.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/


Name:           supportutils-plugin-ha-sap
Version:        0.0.3+git.1659022100.39bfcd6
Release:    	150000.1.9.1
Source: 	supportutils-plugin-ha-sap-%{version}.tar.bz2 
Summary:        Supportconfig Plugin for SAP and HA
License:        GPL-2.0-only
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       supportconfig-plugin-resource
Requires:       supportconfig-plugin-tag

%description
Extends supportconfig functionality to include system information for
SAP and HA cluster. The supportconfig saves the related logs.

%prep
%setup -q
%build

%install
install -d $RPM_BUILD_ROOT/usr/lib/supportconfig/plugins
install -d $RPM_BUILD_ROOT/sbin
install -m 0544  ha_sap $RPM_BUILD_ROOT/usr/lib/supportconfig/plugins

%files
%defattr(-,root,root)
/usr/lib/supportconfig
/usr/lib/supportconfig/plugins
/usr/lib/supportconfig/plugins/ha_sap

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 28 2022 varkoly@suse.com
- Update to version 0.0.3+git.1659022100.39bfcd6:
  * Update README.md
  * Replace spaces to tabs.
  * Search for other groups too.
  * Include /etc/group in plugin-ha_sap.txt (bsc#1201831)
  * Update ha_sap
  * Update pacemaker.log location change
  * suppress link path in Readme.md
  * add section 'Additional information' to the Readme.md
  * change release status of the project
  * Update README.md
  * Update ha_sap
* Tue Jun 15 2021 abriel@suse.com
- Update to version 0.0.2+git.1623772960.fed5aa7:
  to fix bsc#1187373
  * Added process list for sid<adm> user
  * Added ENSA1 and ENSA2 informational messages
  * Added filter to gather logs for "sap_suse_cluster_connector"
  * Fixed documentation links
  * Updated Documentation Links
  * Added Authentication Section and capture information about
    sid<adm> user
  * Added some additional logic.
  * Obscure clear text password from cluster resources using
    "crm configure show" output
* Thu Apr 16 2020 dmaiocchi@suse.com
- Update to version 0.0.1+git.1586941845.6e2fc42: (bsc#1170085)
  * fix bsc#1170085
  * Remove broken link
  * Rename plugin to be more conform to the convention
  * Update README.md
  * Rename file with underscore to avoid issue
  * remove author line
  * simplify readme
  * Add some info to readme and rename script
  * Update README.md
  * Added saptune version, sapcontrol command, and basic cluster config
  * Updated Doc references to Best Practices guides
* Wed Apr 15 2020 dmaiocchi@suse.com
- Update to version 0.0.1+git.1586941845.6e2fc42:
  * Remove broken link
  * Rename plugin to be more conform to the convention
  * Update README.md
* Mon Apr  6 2020 dmaiocchi@suse.com
- Initial working version  (jsc#ECO-862)
